.sr-container {
    background: #f2f2f2;
    margin-bottom: 50px;
}

/* Filter n Sort */

.fs-container {
    margin: 0 0 2px;
    background: white;
}

.fs-flex {
    display: flex;
    flex-wrap: nowrap;
    padding: 15px;
}

.sort-tab {
    display: flex;
    flex-wrap: nowrap;
    width: 50%;
    text-align: center;
    cursor: pointer;
}

.st-flex {
    display: flex;
    flex-wrap: nowrap;
    text-align: center;
    width: 100px;
    margin: 0 auto;
}

.sort-tab svg, .sort-tab span {
    display: block;
    color: rgba(2, 6, 12, 0.75);
}

.sort-tab span {
    padding: 0px 10px;
    font-weight: 500;
}

.sort-tab svg {
    width: 25px;
    height: 25px;
}

/* tabs */

.tabs-flex {
    display: flex;
    flex-wrap: nowrap;
    overflow-x: scroll;
    padding: 10px;
    background: white;
    margin: 0 0 1px;
}

.tabs-flex::-webkit-scrollbar {
    display: none;
}

.s-tab {
    display: flex;
    flex-wrap: nowrap;
    margin: 0 10px 0 0;
    border: 1px solid #ccc;
    border-radius: 3px;
    padding: 5px;
}

.s-tab a {
    width: 100%;
    color: inherit;
    text-decoration: none;
    display: flex;
    flex-wrap: nowrap;
}

.s-tab img {
    width: 30px;
    height: 30px;
    border-radius: 50%;
    background: #f2f2f2;
}

.s-tab span {
    font-size: 14px;
    font-weight: 500;
    padding: 4px 3px 4px 6px;
    color: rgba(2, 6, 12, 0.75);
    white-space: nowrap;
}

/* cards */

.card-link {
    text-decoration: none;
    color: inherit;
    display: block;
}

.item-card {
    background: white;
    padding: 5px;
    height: 100%;
}

.card-img {
    width: 100%;
    aspect-ratio: 1/1.3;
    background: #f2f2f2;
    border-radius: 5px;
    position: relative;
    overflow: hidden;
}

.card-img img {
    width: 100%;
    height: 100%;
}

.card-img svg {
    position: absolute;
    right: 5px;
    top: 2px;
    height: 25px;
    width: 25px;
    color: #ccc;
}

.card-details {
    padding: 10px 5px;
}

.item-title {
    display: -webkit-box;
    overflow-wrap: break-word;
    -webkit-line-clamp: 2;
    -webkit-box-orient: vertical;
    text-overflow: ellipsis;
    overflow: hidden;
    font-size: 14px;
    font-weight: 500;
}

.item-pub {
    font-size: 12px;
    color: grey;
}

.item-pricing, .item-pricing span {
    display: flex;
    flex-wrap: wrap;
    white-space: nowrap;
    font-weight: 500;
    color: rgba(2, 6, 12, 0.75);
}

.item-pricing span {
    padding: 5px 5px 0 0;
}

.item-discount {
    color: green !important;
    font-size: 16px;
}

.item-discount svg {
    width: 20px;
    height: 20px;
    fill: green !important;
}

.item-del {
    text-decoration: line-through;
    color: grey !important;
}

.item-fp {
    font-weight: 600 !important;
}

.condition-badge {
    font-size: 10px;
    padding: 2px 6px;
    border-radius: 5px;
    display: inline-flex;
    align-items: center;
    gap: 4px;
    color: #fff;
    font-weight: 500;
    position: absolute;
    top: 3px;
    left: 3px;
}

.condition-badge.new {
    background-color: rgba(40, 167, 69, 0.8);   /* Bright Soft Green */
}

.condition-badge.used {
    background-color: rgba(0, 123, 255, 0.8);   /* Bright Soft Blue */
}

.condition-badge.readable {
    background-color: rgba(108, 117, 125, 0.8); /* Bright Soft Gray */
}

.condition-badge.worn {
    background-color: rgba(220, 53, 69, 0.8);   /* Bright Soft Red */
}

/* popups */

.offcanvas.sorting-offcanvas {
    left: -100%;
}

.sorting-container {
    background: white;
    position: fixed;
    bottom: -100%;
    width: 100%;
    transition: bottom 0.3s ease;
}

.sc-header {
    padding: 10px 20px;
    color: grey;
    border-bottom: 1px solid #ddd;
    font-weight: 500;
}

.sorting-container ul {
    padding: 5px 20px 50px;
}

.sorting-container li {
    margin: 15px 0;
    display: flex;
    flex-wrap: nowrap;
}

.sorting-container label {
    width: 100%;
    font-size: 14px;
    color: #333333;
    font-weight: 500;
}

/* filters */

.filters-container {
    position: fixed;
    background: rgba(0, 0, 0, 0.3);
    width: 100%;
    height: 100%;
    z-index: 5;
    top: 0;
    right: 100%;
}

.filter-container input[type='checkbox'] {
    margin: 0 5px;
}

.filter-container ul {
    padding: 10px 20px 5px !important;
}

.filter-btn {
    margin: 20px 25px;
    display: block;
    padding: 10px 20px;
    background: #f60;
    color: white;
    font-weight: 600;
    border: none;
    border-radius: 3px;
}

/* Breakpoints */
@media only screen and (min-width: 992px) {

    body {
        background: #f2f2f2;
    }

    .sr-container {
        margin: 10px;
        box-shadow: rgba(0, 0, 0, 0.16) 0px 1px 4px;
    }

    .item-card:hover {
        color: #005eb8;
        scale: 1.01;
        transition: box-shadow, color 0.3s ease, scale 0.3s ease;
        box-shadow: rgba(0, 0, 0, 0.16) 0px 1px 4px;
    }

    .filter-header {
        background: #1976d2;
    }

    .filter-content::-webkit-scrollbar {
        display: none;
    }

}

.item-card {
    border: 1px solid #f0f0f0;
    border-radius: 10px;
}

.card-img {
    border: none !important;
    padding: 0 !important;
}

.condition-badge {
    top: unset !important;
    bottom: 10px !important;
    left: 10px !important;
    clip-path: none !important;
    padding: 5px 10px !important;
    border-radius: 5px 5px !important;
    z-index: 1;
}